SEEK(3)

NAME
seek - change file offset

SYNOPSIS
#include <u.h>
#include <libc.h>

vlong seek(int fd, vlong n, int type)

DESCRIPTION
Seek sets the offset for the file associated with fd as follows:

    If type is 0, the offset is set to n bytes.

    If type is 1, the pointer is set to its current location plus n.

    If type is 2, the pointer is set to the size of the file plus n.

The new file offset value is returned.

Seeking in a directory is not allowed. Seeking in a pipe is a no-op.

SOURCE
/usr/local/plan9/src/lib9/seek.c

SEE ALSO
intro(3), open(3)

DIAGNOSTICS
Sets errstr.

BUGS
To avoid name conflicts with the underlying system, seek is a preprocessor macro defined as p9seek; see intro(3).